Subject: bug#4222: calls to char_table_ref slow down 23.1 (vs 22.3)

From: Chong Yidong <[email-masked]>
Date: Fri, 18 Sep 2009 19:30:57 -0400

> Take src/config.h run C-x r t on it to insert a space in front of each
> line.
>
> Then build both emacs-23.1 and 22.3 with profiling enabled (-O2 -g -pg).
> Then run:
>
> emacs -Q -nw config.h
> M-: (indent-region (point-min)(point-max)) RET
> C-x C-c
>
> The 23.1 gprof results:
>
> Each sample counts as 0.01 seconds.
>   %   cumulative   self              self     total
>  time   seconds   seconds    calls   s/call   s/call  name
>  29.60      7.03     7.03 406111658     0.00     0.00  char_table_ref
>  26.72     13.37     6.34  4653244     0.00     0.00  forw_comment

I can't reproduce this problem now.  Following your recipe, I do observe
the indentation taking a looong time, but char_table_ref is not called.
Presumably, Handa-san's 2009-08-25 and 2009-08-27 changes fixed this.
Should I close the bug, or is there still a problem?